Merge "Ping retry"

This commit is contained in:
Jenkins 2016-04-05 15:48:26 +00:00 committed by Gerrit Code Review
commit fa24ef5944

View File

@ -20,10 +20,13 @@ function ping_controller_ips() {
echo -n "Trying to ping $REMOTE_IP for local network $LOCAL_NETWORK..."
set +e
if ! $ping -W 300 -c 1 $REMOTE_IP &> /dev/null; then
# If the first ping attempt fails, retry.
if ! $ping -W 300 -c 10 $REMOTE_IP &> /dev/null; then
echo "FAILURE"
echo "$REMOTE_IP is not pingable. Local Network: $LOCAL_NETWORK" >&2
exit 1
fi
fi
set -e
echo "SUCCESS"
fi
@ -40,11 +43,14 @@ function ping_default_gateways() {
set +e
for GW in $DEFAULT_GW; do
echo -n "Trying to ping default gateway ${GW}..."
if ! ping -c 1 $GW &> /dev/null; then
if ! $ping -c 1 $GW &> /dev/null; then
# If the first ping attempt fails, retry.
if ! $ping -c 10 $GW &> /dev/null; then
echo "FAILURE"
echo "$GW is not pingable."
exit 1
fi
fi
done
set -e
echo "SUCCESS"